Loading...
Searching...
No Matches
FptIndex Struct Reference

`#include <openbabel/fingerprint.h>`

## Public Member Functions

bool | Read (std::istream *pIndexstream)
bool | ReadIndex (std::istream *pIndexstream)
bool | ReadHeader (std::istream *pIndexstream)
OBFingerprint * | CheckFP ()

## Public Attributes

FptIndexHeader | header
std::vector< unsigned int > | fptdata
std::vector< unsigned long > | seekdata

## Detailed Description

Structure of fastsearch index files.

## Member Function Documentation

## Read()

bool Read | ( | std::istream * | pIndexstream | ) |

## ReadIndex()

bool ReadIndex | ( | std::istream * | pIndexstream | ) |

## ReadHeader()

bool ReadHeader | ( | std::istream * | pIndexstream | ) |

Referenced by Read(), and ReadIndex().

## CheckFP()

OBFingerprint * CheckFP | ( |  | ) |

Returns
  A pointer to FP used or NULL and an error message

Referenced by ReadIndex().

## Member Data Documentation

## header

FptIndexHeader header

Referenced by CheckFP(), FastSearchIndexer::FastSearchIndexer(), FastSearchIndexer::FastSearchIndexer(), Read(), and ReadHeader().

## fptdata

std::vector<unsigned int> fptdata

Referenced by Read().

## seekdata

std::vector<unsigned long> seekdata

Referenced by Read().

The documentation for this struct was generated from the following files:

- fingerprint.h
- fingerprint.cpp